List terraform execution summaries
curl --request GET \
--url https://api.ravion.com/terraform-execution-summaries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ravion.com/terraform-execution-summaries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ravion.com/terraform-execution-summaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"addCount": 123,
"changeCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"destroyCount": 123,
"id": "<string>",
"importCount": 123,
"organizationId": "<string>",
"pipelineId": "<string>",
"pipelineRunId": "<string>",
"readCount": 123,
"replaceCount": 123,
"stepExecutionId": "<string>",
"unchangedCount": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"applyable": true,
"output": {},
"planFilename": "<string>",
"stackId": "<string>"
}
],
"meta": {
"limit": 123,
"nextCursor": "<string>",
"totalCount": 123
}
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}TerraformExecutionSummaries
List terraform execution summaries
List terraform execution summaries with filters.
Returns terraform execution summaries. Must provide either pipelineId, pipelineRunId, or stackId. Only runs that reached Terraform report generation have summaries. To query every execution attempt, including failures without summaries, list pipeline runs instead.
- pipelineId: Returns available summaries for runs of the pipeline
- pipelineRunId: Returns summaries for a specific run
- stackId: Returns available summaries for runs of a stack
GET
/
terraform-execution-summaries
List terraform execution summaries
Query Parameters
Pipeline ID to filter by - returns available summaries for runs of this pipeline
Pipeline run ID to filter by
Step execution ID to filter by (optional)
Stack ID to filter by - returns available summaries for runs of this stack
Was this page helpful?
⌘I